> ## Documentation Index
> Fetch the complete documentation index at: https://docs.winedirectfulfillment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Query the Inter-Center Transfer system for transfers



## OpenAPI

````yaml /openapi.json get /api/v1/Transfers
openapi: 3.0.4
info:
  title: WineDirect Fulfillment API Gateway UAT
  description: >-
    <i>Provides access to the Fulfillment system.</i><h2><a target="_blank"
    href='https://portal.wd-fs.com/administration/api-help'>Detailed
    Documentation</a></h2><h3>From your code:</h3><p> To use any of the
    endpoints, get the <b>Bearer Token</b> from the <b>AccessToken</b> endpoint,
    then pass that as a <b>HttpHeader</b> called <b>Authorization</b> like this
    on all calls.<br><pre>(C#)   request.AddParameter("Authorization", token, 
    ParameterType.HttpHeader);</pre><h3>From a browser:</h3><p>Press the
    <b>Authorize</b> button and enter the <b>Bearer Token</b> from the
    <b>AccessToken</b> endpoint.</p>
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /api/v1/Transfers:
    get:
      tags:
        - Transfers
      summary: Query the Inter-Center Transfer system for transfers
      parameters:
        - name: statusCode
          in: query
          description: "The Status of the transfers.\r\n\r\n      \"ALL\" - All\r\n      \"NEW\" - Draft\r\n      \"INPROCESS\" - Submitted\r\n      \"INTRANSIT\" - In Transit\r\n      \"COMPLETE\" - Complete\r\n      \"CANCELLED\" - Cancelled\r\n      \"CLOSED\" - Closed"
          required: true
          schema:
            minLength: 2
            type: string
        - name: startDate
          in: query
          description: "The start date for the query\r\n            \r\nDefaults to 30 days in the past if not set.\r\neg 2022-03-15  (YYYY-MM-DD)"
          schema:
            type: string
            format: date-time
        - name: endDate
          in: query
          description: "The end date for the query\r\n            \r\nDefaults to today if not set\r\neg 2022-03-15  (YYYY-MM-DD)"
          schema:
            type: string
            format: date-time
        - name: supplierId
          in: query
          description: SupplierId is the unique ID for the owner of items in the system
          required: true
          schema:
            minLength: 2
            type: string
        - name: fromWarehouseCode
          in: query
          description: "The warehouse (Code)  \r\n            \r\n    \"GLW\" - Glenwillow,\r\n    \"WDI\" - Green Island,\r\n    \"PSO\" - Paso Robles,\r\n    \"SMA\" - Santa Maria,\r\n    \"SHW\" - Willamette Valley\r\n    \"DAL\" - Dallas"
          required: true
          schema:
            type: string
        - name: toWarehouseCode
          in: query
          description: "The warehouse (Code)  \r\n            \r\n    \"GLW\" - Glenwillow,\r\n    \"WDI\" - Green Island,\r\n    \"PSO\" - Paso Robles,\r\n    \"SMA\" - Santa Maria,\r\n    \"SHW\" - Willamette Valley\r\n    \"DAL\" - Dallas"
          required: true
          schema:
            type: string
        - name: unassignedOnly
          in: query
          description: "Whether to restrict the search to Transfers that have not been assigned to Trucks\r\n            \r\nDefaults to False: (Return transfers either assigned or not yet assigned to a truck.)"
          required: true
          schema:
            type: boolean
            default: true
      responses:
        '200':
          description: Returns the Inter-Center Transfers
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransferIEnumerableServiceResult'
components:
  schemas:
    TransferIEnumerableServiceResult:
      type: object
      properties:
        isSuccess:
          type: boolean
          description: >-
            Was the request successful. If not, the message will have more
            information.
        message:
          type: string
          description: Any error message
          nullable: true
        payload:
          type: array
          items:
            $ref: '#/components/schemas/Transfer'
          description: The payload object of the response
          nullable: true
      additionalProperties: false
      description: Generic container for all service responses
    Transfer:
      type: object
      properties:
        headerId:
          type: string
          description: The primary key of this transfer
          nullable: true
          example: '123'
        referenceNumber:
          type: string
          description: >-
            The WineDirect ReferenceNumber. This is used when querying for
            transfers
          nullable: true
        supplierReferenceNumber:
          type: string
          description: The supplier's defined reference number
          nullable: true
        fromWarehouseCode:
          type: string
          description: "The warehouse this transfer is coming from (Code)\r\n            \r\n\"GLW\" - Glenwillow,\r\n\"WDI\" - Green Island,\r\n\"PSO\" - Paso Robles,\r\n\"SMA\" - Santa Maria,\r\n\"SHW\" - Willamette Valley\r\n\"DAL\" - Dallas"
          nullable: true
          example: GLW, WDI, PSO, SMA, SHW
        fromWarehouseName:
          type: string
          description: The warehouse this transfer is coming from (Name)
          nullable: true
          example: >-
            Glenwillow, Green Island, Paso Robles, Santa Maria, Willamette
            Valley
        toWarehouseCode:
          type: string
          description: "The warehouse this transfer is going to\r\n            \r\n\"GLW\" - Glenwillow,\r\n\"WDI\" - Green Island,\r\n\"PSO\" - Paso Robles,\r\n\"SMA\" - Santa Maria,\r\n\"SHW\" - Willamette Valley\r\n\"DAL\" - Dallas"
          nullable: true
          example: GLW, WDI, PSO, SMA, SHW
        toWarehouseName:
          type: string
          description: The warehouse this transfer is going to
          nullable: true
          example: >-
            Glenwillow, Green Island, Paso Robles, Santa Maria, Willamette
            Valley
        statusCode:
          type: string
          description: The status of the Transfer (Code)
          nullable: true
        statusCodeName:
          type: string
          description: The status of the Transfer (Name)
          nullable: true
        supplierId:
          type: string
          description: SupplierId is the unique ID for the owner of items in the system
          nullable: true
        submittedDate:
          type: string
          description: When the Transfer entered SUBMITTED status
          format: date-time
          nullable: true
        closedDate:
          type: string
          description: When the Transfer entered the CLOSED status
          format: date-time
          nullable: true
        createdDate:
          type: string
          description: When this item was created
          format: date-time
          nullable: true
        updatedDate:
          type: string
          description: When this item was updated
          format: date-time
          nullable: true
        expectedDate:
          type: string
          description: When this item is expected
          format: date-time
          nullable: true
        inventories:
          type: array
          items:
            $ref: '#/components/schemas/TransferLine'
          description: The inventory this transfer is covering
          nullable: true
      additionalProperties: false
      description: >-
        A Transfer defines a request  to move inventory from one warehouse to
        another
    TransferLine:
      type: object
      properties:
        lineId:
          type: string
          description: The primary key of this entity
          nullable: true
        inventoryItemId:
          type: string
          description: The primary key of the inventory item
          nullable: true
        headerId:
          type: string
          description: The parent key of this entity
          nullable: true
        lineNumber:
          type: string
          description: The order of this entity
          nullable: true
        toSubInventoryCode:
          type: string
          description: The sub inventory where the item is going to (Code)
          nullable: true
        toSubInventoryName:
          type: string
          description: The sub inventory where the item is going to (Name)
          nullable: true
        fromSubInventoryCode:
          type: string
          description: The sub inventory where the item is coming from (Code)
          nullable: true
        fromSubInventoryName:
          type: string
          description: The sub inventory where the item is coming from (Name)
          nullable: true
        qtyTransferIn:
          type: integer
          description: The quantity of items that are being transferred IN
          format: int32
        qtyTransferOut:
          type: integer
          description: The quantity of items that are being transferred OUT
          format: int32
        qtyReceived:
          type: integer
          description: The Qty Received
          format: int32
        qtyShipped:
          type: integer
          description: The Qty Shipped
          format: int32
        sku:
          type: string
          description: The supplier's SKU
          nullable: true
        wineDirectSku:
          type: string
          description: WineDirect's SKU
          nullable: true
        description:
          type: string
          description: the description of the SKU
          nullable: true
        createdDate:
          type: string
          description: When this line was created
          format: date-time
          nullable: true
        updatedDate:
          type: string
          description: When this line was last updated
          format: date-time
          nullable: true
      additionalProperties: false
      description: An individual transfer line item
  securitySchemes:
    Bearer:
      type: apiKey
      description: 'Enter the Bearer AccessToken;  Example: ''Bearer 12345abcdef'''
      name: Authorization
      in: header

````